{% extends "base.html" %}

{% block title %} Dane użytkownika {% endblock %}

{% block stylesheet %}
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/stylesLocksFillData.css')}}">
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/stylesTileList.css')}}">
{% endblock %}

{% block article %}
    <div class="article">
        {% for row in user_rows %}
            {% set id = users_id_users | int %}
            {% if row.id_users == id %}

                {% if force_fill == "True" %}
                    <h2>Uzupełnij dane</h2>
                    <table>
                    <tr>
                        {% if row.picture == None %}
                            <td><img src="{{ url_for('static', filename='img/user_image.jpg') }}" alt="User picture"></td>
                        {% else %}
                            <td><img src="{{ row.picture }}" alt="User picture"></td>
                        {% endif %}
                        <td>{{ row.imie }} {{ row.nazwisko }}</td>
                    </tr>
                    </table>

                    <div class="container">
                        <form action="{{ url_for('handle_locks_data',id=users_id_users) }}" method="post">

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Imie</label>
                                </div>
                                <div class="col-2">
                                    {% if row.imie == None %}
                                        <input type="text" required id="fname" name="imie" placeholder="{{ row.imie }}">
                                    {% else %}
                                        <input type="text" id="fname" name="imie" value="{{ row.imie }}" class="disable">
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Nazwisko</label>
                                </div>
                                <div class="col-2">
                                    {% if row.nazwisko == None %}
                                        <input type="text" required id="fname" name="nazwisko" placeholder="{{ row.nazwisko }}">
                                    {% else %}
                                        <input type="text" id="fname" name="nazwisko" value="{{ row.nazwisko }}" class="disable">
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Klasa</label>
                                </div>
                                <div class="col-2">
                                   {% if row.klasa == None %}
                                        <input type="number" required min="0" id="fname" name="klasa" placeholder="{{ row.klasa }}">
                                    {% else %}
                                        <input type="number" min="0" id="fname" name="klasa" value="{{ row.klasa }}" class="disable">
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Oddział</label>
                                </div>
                                <div class="col-2">
                                    {% if row.oddzial == None %}
                                        <input type="text" required id="fname" name="oddzial" placeholder="{{ row.oddzial }}">
                                    {% else %}
                                        <input type="text" id="fname" name="oddzial" value="{{ row.oddzial }}" class="disable">
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Email</label>
                                </div>
                                <div class="col-2">
                                    {% if row.email == None %}
                                        <input type="text" required id="fname" name="email" placeholder="{{ row.email }}">
                                    {% else %}
                                        <input type="text" id="fname" name="email" value="{{ row.email }}" class="disable">
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Tag</label>
                                </div>
                                <div class="col-2">
                                    {% if row.tag == None %}
                                        <input type="text" required id="tag" name="tag" placeholder="{{ row.tag }}" class="disable">
                                    {% else %}
                                        <input type="text" id="tag" name="tag" value="{{ row.tag }}" class="disable" readonly>
                                    {% endif %}
                                </div>
                            </div>

                            <div class="row" id="Scan">
                                <div class="col-1"></div>
                                <div class="col-2">
                                    <button type="button">Skanuj</button>
                                </div>
                            </div>

                            <input type="submit" style="margin-top: 6px">
                        </form>
                    </div>

                {% else %}
                    <h2>Zmień dane</h2>
                    <table>
                    <tr>
                        {% if row.picture == None %}
                            <td><img src="{{ url_for('static', filename='img/user_image.jpg') }}" alt="User picture"></td>
                        {% else %}
                            <td><img src="{{ row.picture }}" alt="User picture"></td>
                        {% endif %}
                        <td>{{ row.imie }} {{ row.nazwisko }}</td>
                    </tr>
                    </table>

                    <div class="container">
                        <form action="{{ url_for('handle_locks_data',id=users_id_users) }}" method="post">
                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Imie</label>
                                </div>
                                <div class="col-2">
                                    <input type="text" id="fname" name="imie" value="{{ row.imie }}">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Nazwisko</label>
                                </div>
                                <div class="col-2">
                                    <input type="text" id="fname" name="nazwisko" value="{{ row.nazwisko }}">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Klasa</label>
                                </div>
                                <div class="col-2">
                                    <input type="number" min="0" id="fname" name="klasa" value="{{ row.klasa }}">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Oddział</label>
                                </div>
                                <div class="col-2">
                                    <input type="text" id="fname" name="oddzial" value="{{ row.oddzial }}">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Email</label>
                                </div>
                                <div class="col-2">
                                    <input type="text" id="fname" name="email" value="{{ row.email }}">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-1">
                                    <label for="fname">Tag</label>
                                </div>
                                <div class="col-2">
                                    <input type="text" readonly class="disable" id="tag" name="tag" value="{{ row.tag }}">
                                </div>
                            </div>

                            <div class="row" id="Scan">
                                <div class="col-1"></div>
                                <div class="col-2">
                                    <button type="button">Skanuj</button>
                                </div>
                            </div>

                            <input type="submit" style="margin-top: 6px">
                        </form>
                    </div>
                {% endif %}
            {% endif %}
        {% endfor %}
    </div>
{% endblock %}

{% block scripts %}
    <script src="{{ url_for('static', filename='js/scriptAdmin.js') }}"></script>
{% endblock %}
